# $Id: smeserver-nagios-plugins-mysql.spec,v 1.1 2013/06/01 13:27:11 unnilennium Exp $
# Authority: mweinber
# Name: Michael Weinberger

Summary: Nagios plugin check_mysql_smeserver
%define name smeserver-nagios-plugins-mysql
Name: %{name}
%define version 2.0.0
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/System
URL: http://www.my-plugin.de/wiki/doku.php 
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot/
BuildArch: noarch
Requires: smeserver-release >= 7.3
Requires: perl-Nagios-Plugin
BuildRequires: e-smith-devtools
AutoReq: no

%changelog
* Tue Nov 18 2008 Michael Weinberger <mweinber@neddix.de> 2.0.0-1.sme
  added performance data output

* Sat Nov 24 2007 Michael Weinberger <mweinber@neddix.de>
  Version 1.0.2
  added Response Time
  replaced mysqladmin status call by a 'show status' query
* Sat Nov 17 2007 Michael Weinberger <mweinber@neddix.de>
  requires perl-Nagios-Plugin
* Thu Nov 9 2007 Michael Weinberger <mweinber@neddix.de>
- Initial release

%description
This plugin checks the mysqld service on smeserver

%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
find $RPM_BUILD_ROOT -depth -type f -print |\
 sed -e "s@^$RPM_BUILD_ROOT@@g" \
 -e "s@^/usr/lib/nagios/plugins/@%attr(0550,nagios,root) &@"\
 >> %{name}-%{version}-filelist
find $RPM_BUILD_ROOT -depth -type l -print |\
 sed "s@^$RPM_BUILD_ROOT@@g" >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
